Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

[SuSe 9.0] " make" werkt niet.

Anoniem
psychonetics
3 antwoorden
  • Hoi,

    ik heb net Linux geinstalleerd en ben dus compleet nieuw op dit gebied, dus evt. uitleg graag in "newbietaal".

    Als ik een shell opstart om iets te compileren, moet de opdracht
    'make' worden opgegeven (en later 'make install'). Echter hij geeft aan dat die optie niet bestaat, ik krijg nl. de volgende melding:

    [code:1:9a5b0c97f7]bash: make: command not found[/code:1:9a5b0c97f7]

    Misschien dat ik eerst iets moet installeren voordat die functie werkt, of dat de bestanden (libraries geloof ik) corrupt zijn? Iig hoop ik dus dat iemand een goede oplossing hiervoor heeft!

    Ik gebruik SuSe 9.0 en de cd's en dergelijke heb ik in de winkel gekocht, dus aan een slecht gebrande cd zal het waarschijnlijk niet liggen :)

    Alvast bedankt,

    Kasper
  • Om zelf programma's te compileren heb je een aantal extra programma's nodig. Meestal worden die wel meegeinstalleerd (is mijn ervaring bij Redhat). Op http://www.vosberg.be/doc/SuSE/compilesource.html vond ik iets voor Suse. Hopelijk heb je er wat aan.
    Misschien kunnen de echte diehards van dit forum een wat meer preciezere aanduiding geven van de pakketten die je nodig hebt (ben ik ook wel benieuwd naar).
  • Die link geeft keurig aan welke pakketten je zoal moet hebben
    Als die pakketten vind je op de installatiedisks, en kun je vanuit de softwaresectie van YaSt op eenvoudige wijze installeren.

    Succes,

    Max

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.